# This file created by conda-build 26.3.0
# meta.yaml template originally from:
# /home/task_IT4CAeSZRPOb0_0/charset-normalizer-feedstock/recipe, last modified Wed Jul  1 14:52:24 2026
# ------------------------------------------------

package:
  name: charset-normalizer
  version: 3.4.7
source:
  url: https://pypi.org/packages/source/c/charset-normalizer/charset_normalizer-3.4.7.tar.gz
  sha256: ae89db9e5f98a11a4bf50407d4363e7b09b31e55bc117b4f7d80aab97ba009e5
build:
  number: '0'
  script: /home/task_IT4CAeSZRPOb0_0/croot/charset-normalizer_1782917574135/_h_env_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_pl/bin/python
    -m pip install . --no-deps -vv --no-build-isolation
  entry_points:
    - normalizer = charset_normalizer.cli:cli_detect
  string: py314h06a4308_0
requirements:
  host:
    - _libgcc_mutex 0.1 main
    - _openmp_mutex 5.1 52_gnu
    - bzip2 1.0.8 h5eee18b_6
    - ca-certificates 2026.5.14 h06a4308_0
    - ld_impl_linux-64 2.44 h9e0c5a2_3
    - libexpat 2.8.2 h7354ed3_1
    - libffi 3.4.8 h06d3fd0_3
    - libgcc 15.2.0 h69a1729_8
    - libgcc-ng 15.2.0 h166f726_8
    - libmpdec 4.0.1 h47b2149_0
    - libstdcxx 15.2.0 h39759b7_8
    - libstdcxx-ng 15.2.0 hc03a8fd_8
    - libuuid 1.41.5 h5eee18b_0
    - libxcb 1.17.0 h9b100fa_0
    - libzlib 1.3.2 h47b2149_0
    - lz4-c 1.9.4 h7354ed3_3
    - ncurses 6.5 h7934f7d_0
    - openssl 3.5.7 h1b28b03_0
    - packaging 26.0 py314h06a4308_0
    - pip 26.1.2 pyh0d26453_0
    - pthread-stubs 0.3 h0ce48e5_1
    - python 3.14.6 h4bdf6f9_100_cp314
    - python_abi 3.14 4_cp314
    - readline 8.3 hc2a1206_0
    - setuptools 82.0.1 py314h06a4308_0
    - sqlite 3.53.2 h795bf6d_0
    - tk 8.6.15 h54e0aa7_0
    - tzdata 2026b he532380_0
    - wheel 0.47.0 py314h06a4308_0
    - xorg-libx11 1.8.12 h9b100fa_1
    - xorg-libxau 1.0.12 h9b100fa_0
    - xorg-libxdmcp 1.1.5 h9b100fa_0
    - xorg-xorgproto 2024.1 h47b2149_2
    - xz 5.8.2 h448239c_0
    - zlib 1.3.2 h47b2149_0
    - zstd 1.5.7 h11fc155_0
  run:
    - python >=3.14,<3.15.0a0
    - python_abi 3.14.* *_cp314
test:
  imports:
    - charset_normalizer
  source_files:
    - data
    - tests
  commands:
    - pip check
    - normalizer --help
    - pytest -v tests/
  requires:
    - pip
    - pytest
about:
  home: https://github.com/jawah/charset_normalizer
  summary: The Real First Universal Charset Detector. Open, modern and actively maintained
    alternative to Chardet.
  description: 'A Library that helps you read text from unknown charset encoding.
    This project is motivated by chardet.

    '
  license: MIT
  license_file: LICENSE
  license_family: MIT
  doc_url: https://charset-normalizer.readthedocs.io/
  dev_url: https://github.com/jawah/charset_normalizer
extra:
  recipe-maintainers:
    - ocefpaf
  final: true
  copy_test_source_files: true
  remote_url: https://github.com/AnacondaRecipes/charset-normalizer-feedstock
  sha: d2c85217d6618cc1fafbe82b3542f12ac9470ced
  task_id: IT4CAeSZRPOb0KmnHpFpIg
  task_run_id: '0'
  pbp_graph_uuid: a894d0dc-3b19-4dda-91d8-b98a542bf68f
